var pestanya=0;
var segundaPestanya=false;
jQuery(function($){
	if($("#id001Fase").val()==3){
		document.getElementById('resolucion').style.display = 'block';
	}else if($("#id001Fase").val()==2){
		document.getElementById('requerimiento').style.display = 'block';
	}
	if($("#estadoExp").val()=='F'){
		$('input[type=radio][name=estadoExp010][value=F]').attr('checked', true);
	}else if($("#estadoExp").val()=='D'){
		$('input[type=radio][name=estadoExp010][value=D]').attr('checked', true);
		$("#observacionestextEs").text($.rup.i18n.app.textArea.motivosEs);
		$("#observacionestextEu").text($.rup.i18n.app.textArea.motivosEu);
	}
	
	 $('input[type=radio][name=estadoExp010]').on('change', function(){
		switch($(this).val()) {
        case 'F':
        	$("#observacionestextEs").text($.rup.i18n.app.textArea.observacionesEs);
			$("#observacionestextEu").text($.rup.i18n.app.textArea.observacionesEu);
        	 break;
        case 'D':
        	$("#observacionestextEs").text($.rup.i18n.app.textArea.motivosEs);
			$("#observacionestextEu").text($.rup.i18n.app.textArea.motivosEu);
        	break;
		}
	});
	
	$("form input[id=FRegSal014]").attr("disabled", "disabled");
	$("form input[id=NRegSal014]").attr("disabled", "disabled");
	$("form input[id=FNotif014]").attr("disabled", "disabled");
	
$("#tabsDetExpResolucion").rup_tabs({
		tabs : [
			{i18nCaption:"resolucion", layer:".resExp"},
			{i18nCaption:"comunicaciones", layer:".comExp"}],

			select:function(event,ui){return validarParaCambioPestana(event,ui);}
	});

$("#FRegSal014").rup_date({datetimepicker: true});
$("#registroExpediente_info").rup_tooltip();
bloqueaSelectorDocumento();
checkCondiciones();
var hayDoc = contarDocs ();
//Botonera guardar datos expediente
if(hayDoc==true){
	$("#gestionarDocs_toolbar").rup_toolbar({
		buttons:
			[{id:"BorrarDocumento", i18nCaption:$.rup.i18n.app.botones.BorrarDoc, left:true, click:fn_borrar},
			 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true, click:fncDescargaDocumentoPif},
			 {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true}]
	});
}else{
	$("#gestionarDocs_toolbar").rup_toolbar({
		buttons:
			[{id:"GenerarDocumento", i18nCaption:$.rup.i18n.app.botones.GenerarDoc, left:true, click:fn_generar},
			 {id:"DeshacerResolucion", i18nCaption:$.rup.i18n.app.botones.DeshacerResolucion, left:true, click:fn_deshacer}]
	});
}
	
function contarDocs (){
	var docs = pk_numDocPIF;
	if(docs!=pk_numDocPIF != undefined && pk_numDocPIF != null && pk_numDocPIF != ''){
		return true;
	}
	return false;
}
 function fn_generar (){
	 var tipoDocumento= "Resolucion";
	 var condicEspecif015=$("#condicEspecif015").val();
	 if($("#condicEspecif015").prop('checked')){
		 condicEspecif015='S';
		 }else{
			 condicEspecif015='N';
		 }
	 var estado=$('input:radio[name=estadoExp010]:checked').val();
	 var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
	 var idFase=$("#id001Fase").val();
	 var id014=$("#id014").val();
	 if($("input[name='estadoExp010']:radio").is(':checked')){
		$.rup_ajax({
			url: $.rup.CTX_PATH + "documento/generarDocumento",
			dataType: 'json',
			data:{
				"idExpediente" : idExpediente,
				"observacionesEs" : $("#observacionesEs").val(),
				"observacionesEu" : $("#observacionesEu").val(),
				"FRegSal014" : $("#FRegSal014").rup_date("getDate"),
				"NRegSal014" : $("#NRegSal014").val(),
				"idFase":idFase,"id014":id014,
				"condicEspecif015":condicEspecif015,
				"tipoDocumento": tipoDocumento,
				"estado":estado
			},
			type:"GET",
			contentType: 'application/json',
			success: function(xhr, ajaxOoptions){
				fncDescargaDocumentoPif();
				location.href = "../../"+ idExpediente + "?idFase="+idFase+"&id014="+id014+"&accionOK=true";
			},
			error: function(error){
				ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
				$("#FRegSal014").rup_date("setDate", null);
				$("#NRegSal014").val("");
			},
			beforeSend : function() {
				ab03bUtils.util.bloquearInterfaz();
			},
			complete: function() {
				ab03bUtils.util.desBloquearInterfaz();
			}
		});
	 } else{
		 $.rup_messages("msgAlert", {
				message: $.rup.i18n.app.mensajes.errorRadio
			});
	 }
	};
	
	function fn_deshacer(){
		var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
		var id014=$("#id014").val();
		$.rup_messages("msgConfirm", {
			message: $.rup.i18n.app.mensajes.confirmDeshacerResolucion,
			title: "",
			OKFunction: function () {
				$.rup_ajax({
					url : $.rup.CTX_PATH + "expedientes/detalle/tramitacion/eliminarTramite",
					dataType: 'json',
					data: {"idExpediente": idExpediente,"id014":id014},
			    	type: "GET",
			    	contentType: 'application/json',
					success: function (mapaRespuesta){
						location.href = $.rup.CTX_PATH + "ab03b10t00/irDetalle/" + idExpediente;
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			}
		});
	};
	function fn_borrar(){
		var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
		var idFase=$("#id001Fase").val();
		var id014=$("#id014").val();
		$.rup_messages("msgConfirm", {
			message: $.rup.i18n.app.mensajes.confirmDeshacerResolucion,
			title: "",
			OKFunction: function () {
				$.rup_ajax({
					url : $.rup.CTX_PATH + "expedientes/detalle/tramitacion/eliminarDoc",
					dataType: 'json',
					data: {"idExpediente": idExpediente, "idFase":idFase,"id014":id014},
			    	type: "GET",
			    	contentType: 'application/json',
					success: function (mapaRespuesta){
						location.href = "../../" + idExpediente+ "?idFase="+idFase+"&id014="+id014;
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			}
		});
	};
});	
	function validarParaCambioPestana(event,tab){
		//console.log("Estamos en el cambio de pestaña");
		//estamos en
		$tabs = $('#tabsDetExpResolucion').tabs();
		selected = $tabs.tabs('option', 'selected');//en la que estamos
		//vamos a 
		vamos=tab.index;
		if(vamos!=pestanya){
			//$("#formHttpSubmit").valid();
			if($("#feedbackMensajes").html()!=''){
				pestanya=selected;
				//volvemos a la pestaï¿½a de la que venimos
				setTimeout(function(){
					$("#tabsDetExpResolucion").tabs("select",selected);
				},100);
				
			}else{
				pestanya=vamos;
				if(vamos==1){
					//es que ha entrado en la segunda pestaï¿½a
					segundaPestanya=true;
				}
			}
		}
	}
	function bloqueaSelectorDocumento() {
	var varDisabled = null;
	if (hayDocumento) {
		varDisabled = "disabled";
	}
	$("form textarea[id=observaciones]").attr("disabled", varDisabled);
}
	function checkCondiciones(){
		if($("#condicEspecif015").val()=='S'){
			$("#condicEspecif015").prop("checked", "checked");
			 }
	}
	
	function fncDescargaDocumentoPif(){
		var id015= pk_id015;
		var rutaPif="ab03b";
		
		$.rup_ajax({
			url: $.rup.CTX_PATH + "documento/editarPif",
			dataType: 'json',
			data:{
				"idExpediente" : idExpediente,
				"id015" : id015,
				"rutaPif":rutaPif
			},
			cache:false,
			type:"GET",
			contentType: 'application/json',
			success: function(xhr, ajaxOoptions){
				fncEditarPifSuccessReq(xhr.rutaCompleta); 
			},
			error: function(error){
				ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
			},
			beforeSend : function() {
				ab03bUtils.util.bloquearInterfaz();
			},
			complete: function() {
				ab03bUtils.util.desBloquearInterfaz();
			}
		});
	}
	function fncEditarPifSuccessReq(rutaPifCopia){
//		alert(rutaPifCopia);
		
		var v = window.open(rutaPifCopia);
		if (v!=null)
		{
		v.close();	
		}
		
	}